///+------------------------------------------------------------------+
//|                                                       Ordera.mq4 |
//|                                                  Ivanov Alexandr |
//|                                                 jurist70@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Ivanov Alexandr"
#property link      "jurist70@mail.ru"

//---- input parameters
extern int       TP=18;
extern double    Max_Price=1.3982;
extern double    Min_Price=1.2000;
extern double    Lot=0.1;
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//  Alert (" ");
  string Symb=Symbol();
  int Step=TP+2;
  double Price;
//----  BuyStop------------------------------------------------------------------------------------------
//------------------------------1---------------------------------------------------------------------------------------
      for (Price=Max_Price-Step*Point; Price>Ask+10*Point; Price=Price-Step*Point) //      
         {
         int N=0; // 
         for (int i=1; i<=OrdersTotal(); i++) //   
            {
            if(OrderSelect(i-1,SELECT_BY_POS)==true) // 
               { //  
               if (Price==OrderOpenPrice())                //  
                  {
                  N=N+1;
                  }
               } //   
            }
         if(N==0) //      
            { // 
            Alert(" BUYSTOP ", Price);
            int Ticket=OrderSend(Symb, OP_BUYSTOP, Lot, Price, 0, 0, Price+TP*Point);
            if (GetLastError()>0)
               Alert(" ", GetLastError());
            }
         } //  
//----  SellStop------------------------------------------------------------------------------------------
//      Alert(" ");
      for (Price=Min_Price+Step*Point; Price<Bid-10*Point; Price=Price+Step*Point) //      
         {
         N=0; // 
         for (i=1; i<=OrdersTotal(); i++) //   
            {
            if(OrderSelect(i-1,SELECT_BY_POS)==true) // 
               { //  
               if (Price==OrderOpenPrice())                //  
                  {
                  N=N+1;
                  }
               } //   
            }
         if(N==0) //      
            { // 
            Alert(" SELLSTOP ", Price);
            Ticket=OrderSend(Symb, OP_SELLSTOP, Lot, Price, 0, 0, Price-TP*Point);
            if (GetLastError()>0)
               Alert(" ", GetLastError());
            }
         } //  



// Alert(" ");
  return(0);
  }
  
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   Alert(" !");
//----
   return(0);
  }


